Bug 459387 - Review Request: libtool2 - The GNU Portable Library Tool v2
Review Request: libtool2 - The GNU Portable Library Tool v2
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-18 07:04 EDT by Karsten Hopp
Modified: 2008-11-21 06:35 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-21 06:35:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2008-08-18 07:04:32 EDT
Spec URL: http://people.redhat.com/karsten/libtool2.spec
SRPM URL: http://people.redhat.com/karsten/libtool-2.2.4-1.src.rpm
Description: GNU Libtool is a set of shell scripts which automatically configure UNIX and UNIX-like systems to generically build shared libraries. Libtool provides a consistent, portable interface which simplifies the process of using shared libraries.

Note to the reviewer:
Quite a few packages which build with libtool won't build with libtool2 anymore as libtool2 has some incompatible changes. We can't make a complete switch at the moment.
Comment 1 Jochen Schmitt 2008-08-19 16:01:36 EDT
Special Comment:

I think you should contact FESCo for sheduling this for F-11.

Good:
+ Rpmlint guite for source rpm.
+ Package has a proper open source license
+ Local build works fine.
+ Consitent use of rpm macros
+ All installed files are owned by the package and doesN't conflict with files of other packages
+ Package contains verbatin test of the license
+ Mock build works fine

Bad:
- Messages from rpmlint libtool-2...

 rpmlint libtool-2.2.4-1.fc9.x86_64.rpm 
libtool.x86_64: W: devel-file-in-non-devel-package /usr/share/libtool/libltdl/lt__strl.c
libtool.x86_64: W: devel-file-in-non-devel-package /usr/share/libtool/libltdl/ltdl.h    
libtool.x86_64: W: devel-file-in-non-devel-package /usr/share/libtool/libltdl/argz_.h   
libtool.x86_64: W: devel-file-in-non-devel-package /usr/share/libtool/libltdl/libltdl/lt__private.h
libtool.x86_64: W: devel-file-in-non-devel-package /usr/share/libtool/libltdl/loaders/dyld.c
libtool.x86_64: W: devel-file-in-non-devel-package /usr/share/libtool/libltdl/lt_error.c
libtool.x86_64: W: devel-file-in-non-devel-package /usr/share/libtool/libltdl/libltdl/lt_error.h
libtool.x86_64: W: devel-file-in-non-devel-package /usr/share/libtool/libltdl/loaders/dld_link.c
libtool.x86_64: W: devel-file-in-non-devel-package /usr/share/libtool/libltdl/libltdl/lt_system.h
libtool.x86_64: W: devel-file-in-non-devel-package /usr/share/libtool/libltdl/libltdl/lt__glibc.h
libtool.x86_64: W: devel-file-in-non-devel-package /usr/share/libtool/libltdl/libltdl/slist.h
libtool.x86_64: W: devel-file-in-non-devel-package /usr/share/libtool/libltdl/lt__dirent.c
libtool.x86_64: W: devel-file-in-non-devel-package /usr/share/libtool/libltdl/libltdl/lt_dlloader.h
libtool.x86_64: W: devel-file-in-non-devel-package /usr/share/libtool/libltdl/loaders/preopen.c
libtool.x86_64: W: devel-file-in-non-devel-package /usr/share/libtool/libltdl/loaders/shl_load.c
libtool.x86_64: E: script-without-shebang /usr/share/libtool/config/ltmain.sh
libtool.x86_64: W: devel-file-in-non-devel-package /usr/share/libtool/libltdl/libltdl/lt__strl.h
libtool.x86_64: W: devel-file-in-non-devel-package /usr/share/libtool/libltdl/lt__alloc.c
libtool.x86_64: W: devel-file-in-non-devel-package /usr/share/libtool/libltdl/ltdl.c
libtool.x86_64: W: devel-file-in-non-devel-package /usr/share/libtool/libltdl/slist.c
libtool.x86_64: W: devel-file-in-non-devel-package /usr/share/libtool/libltdl/loaders/load_add_on.c
libtool.x86_64: W: devel-file-in-non-devel-package /usr/share/libtool/libltdl/libltdl/lt__alloc.h
libtool.x86_64: W: devel-file-in-non-devel-package /usr/share/libtool/libltdl/lt_dlloader.c
libtool.x86_64: W: devel-file-in-non-devel-package /usr/share/libtool/libltdl/argz.c
libtool.x86_64: W: devel-file-in-non-devel-package /usr/share/libtool/libltdl/libltdl/lt__dirent.h
libtool.x86_64: W: devel-file-in-non-devel-package /usr/share/libtool/libltdl/loaders/loadlibrary.c
libtool.x86_64: W: devel-file-in-non-devel-package /usr/share/libtool/libltdl/loaders/dlopen.c
libtool.x86_64: E: no-binary

$   rpmlint libtool-ltdl-2.2.4-1.fc9.x86_64.rpm
libtool-ltdl.x86_64: E: description-line-too-long system-installed ltdl libraries; they are not needed by software built using the
libtool-ltdl.x86_64: W: invalid-license LGPL

rpmlint libtool-ltdl-devel-2.2.4-1.fc9.x86_64.rpm
libtool-ltdl-devel.x86_64: W: no-documentation
libtool-ltdl-devel.x86_64: W: invalid-license LGPL
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

- Why do you not _smp_mflags

- Package should not contains *.a and *.la files
Comment 2 Karsten Hopp 2008-08-19 16:26:48 EDT
Thanks for the review !

In addition to the above there are lots of conflicts with libtool-1.5 which I need to solve. I'm not sure yet which way ist the best, maybe rename binaries/scripts with suffix '2', use /usr/share/libtool2 and move the header files to their own directory under /usr/include
Comment 3 Ralf Corsepius 2008-08-20 01:34:46 EDT
IMO, you can't avoid packaging libtool to allow parallel installation of libtool1 and libtool2, until thing have settled (probably for the next 
decade :)).
Comment 4 Jochen Schmitt 2008-08-20 09:46:28 EDT
(In reply to comment #3)
> IMO, you can't avoid packaging libtool to allow parallel installation of
> libtool1 and libtool2, until thing have settled (probably for the next 
> decade :)).

This was the reason why the packager should contact FESCo. So we can make a clear introdcution of libtool-2 on F-11.
Comment 5 Matthias Clasen 2008-08-20 18:05:48 EDT
#patch1 -p1 
#patch2 -p1

#make check VERBOSE=yes > make_check.log 2>&1 || (cat make_check.log && false)

I'd reduce this commented-out boilerplate


# dumb redhat-rpm-config replaces config.{sub,guess} with ancient ones in %%configure, use ./configure instead:

It would seem more prudent to file a bug against redhat-rpm-config, instead of adding a comment like that.


%{_libdir}/libltdl.a
%{_libdir}/libltdl.la

libtool archives should not be packaged at all (though that has a certain irony in this particular review...), static libraries need to be shipped in a -static subpackage if there is a reason to package them.


I still have doubts that going for parallel installation is really the best move. Other distros manage to build the entire universe with libtool 2, no ?
Comment 6 Mamoru TASAKA 2008-08-20 23:48:35 EDT
(In reply to comment #5)
> # dumb redhat-rpm-config replaces config.{sub,guess} with ancient ones in
> %%configure, use ./configure instead:
> 
> It would seem more prudent to file a bug against redhat-rpm-config, instead of
> adding a comment like that.

On rawhide redhat-rpm-config >= 9.0.3-1 this behavior of replacing config.{sub,guess}
is removed (see %changelog)
Comment 7 Matthias Clasen 2008-11-11 11:23:50 EST
F11 is open for business. 
We should get moving on introducing libtool2 early in the cycle,
parallel or not...
Comment 8 Jason Tibbitts 2008-11-20 22:40:39 EST
Is there any point to this ticket now that the base libtool package has simply been updated to version 2?
Comment 9 Karsten Hopp 2008-11-21 06:35:58 EST
no, I'll close it. The libtool-2 package in Rawhide uses the spec file from libtool-1.5 which already had a review AFAIK.

Note You need to log in before you can comment on or make changes to this bug.